import json
import sys

from PySide2.QtWidgets import QApplication

from CatalogPointsNew.ui.DlgCatalogPoints import DlgCatalogPoints
from CatalogPointsNew.ui.DlgTest import DlgTest
from CatalogPointsNew.ui.DlgTestList import DlgTestList

if __name__ == '__main__':
    app = QApplication(sys.argv)
    path_def_json=r"E:\Support\AxiomaTesting\CatalogPoints\def_params_cat_points.json"
    fcc_data=None
    with open(path_def_json, 'r', encoding='utf-8') as fcc_file:
        fcc_data = json.load(fcc_file)
    #main = DlgTest()
    main =DlgCatalogPoints()
    main.show()

    sys.exit(app.exec_())
