import os

from PySide2.QtWidgets import QDialog, QGroupBox, QVBoxLayout

from CatalogPointsNew.ui.WCoords import WidgetCoords
from CatalogPointsNew.ui.WidPoint import WidgetIdPoint
from CatalogPointsNew.ui.WidgetAngle import WidgetAngle
from CatalogPointsNew.ui.WidgetDistance import WidgetDistance
from CatalogPointsNew.ui.utils.ui_tools import load_ui, createGroupBox


class DlgTest(QDialog):
    def __init__(self,parent=None):
        super(DlgTest, self).__init__(parent)
        path_ui=os.path.join(os.path.dirname(__file__), "TestDialog.ui")
        self.window = load_ui(path_ui,parent)
        base_layout=self.window.verticalLayout
        '''
        group_box = QGroupBox("Group Box coods")
        group_box_layout = QVBoxLayout()
        group_box_id = QGroupBox("Нумерация точек")
        group_box_id.setCheckable(True)
        group_box_layout_id = QVBoxLayout()
        w_idPoint=WidgetIdPoint(self.window)
        w_coords=WidgetCoords(self.window)
        group_box_layout_id.addWidget(w_idPoint.window)
        group_box_layout.addWidget(w_coords.window)
        group_box.setLayout(group_box_layout)
        group_box_id.setLayout(group_box_layout_id)
        base_layout.addWidget(group_box_id)
        base_layout.addWidget(group_box)
        '''
        w_idPoint = WidgetIdPoint(self.window)
        #w_coords = WidgetCoords(self.window)
        group_box_id=createGroupBox(w_idPoint)
        w_coords = WidgetCoords(self.window)
        w_distance=WidgetDistance(self.window)
        w_angle=WidgetAngle(self.window)
        group_box_coord=createGroupBox(w_coords)
        group_box_distance = createGroupBox(w_distance)
        group_box_angle = createGroupBox(w_angle)
        base_layout.addWidget(group_box_id)
        base_layout.addWidget(group_box_coord)
        base_layout.addWidget(group_box_distance)
        base_layout.addWidget(group_box_angle)
    def show(self):
        self.window.show()
