import os

from PySide2.QtCore import QFile
from PySide2.QtUiTools import QUiLoader
from PySide2.QtWidgets import QGroupBox, QVBoxLayout


def createGroupBox(widget):
    group_box = QGroupBox(widget.Name)
    group_box_layout = QVBoxLayout()
    if not widget.isRequired:
        group_box.setCheckable(True)
    group_box_layout.addWidget(widget.window)
    group_box.setLayout(group_box_layout)
    return group_box
def load_ui(path,parent=None):
    loader = QUiLoader()
    #path = os.path.join(os.path.dirname(__file__), name_resource)
    ui_file = QFile(path)
    ui_file.open(QFile.ReadOnly)
    window = loader.load(ui_file, parent)

    ui_file.close()
    return window
def textToBool(str_value):
    isActive = False
    if str_value.lower() == 'true':
        isActive = True
    return isActive